###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs-utils
Version: 0.1.20
Release: 13%{?dist}
License: GPL
Group: System Environment/Kernel
Summary: Utilities for managing the global filesystem (GFS)
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: ncurses
Requires: libvolume_id
Requires: gfs2-utils
Obsoletes: GFS
BuildRequires: glibc-kernheaders
BuildRequires: libvolume_id-devel
BuildRequires: ncurses-devel
URL: http://sources.redhat.com/cluster/
Source0: gfs-%{version}.tar.gz
Patch0: gfs-gfsioctl.patch
Patch1: gfs-no-run.patch
Patch2: bz509225.patch
Patch3: bz512722.patch
Patch4: bz509225.part2.patch
Patch5: bz508978.patch
Patch6: bz508978.part2.patch
Patch7: bz555363.patch
Patch8: bz567657.patch
Patch9: bz515834.patch
Patch10: bz704328.patch
Patch11: bz766646.part1.patch
Patch12: bz766646.part2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#ExcludeArch: ia64


%description
The gfs-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS
filesystems.

%prep
%setup -q -n gfs-%{version}
%patch0 -p1 -b .gfsioctl
%patch1 -p1 -b .norun
%patch2 -p2 -b .bz509225
%patch3 -p2 -b .bz512722
%patch4 -p2 -b .bz509225.part2
%patch5 -p2 -b .bz508978
%patch6 -p2 -b .bz508978.part2
%patch7 -p2 -b .bz555363.patch
%patch8 -p2 -b .bz567657.patch
%patch9 -p2 -b .bz515834.patch
%patch10 -p2 -b .bz704328.patch
%patch11 -p2 -b .bz766646.part1
%patch12 -p2 -b .bz766646.part2

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --libdir=%{_libdir}
sed -i '/RELEASE_MAJOR/s/= .*/= 0/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%post
/sbin/chkconfig --add gfs

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del gfs
fi

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/*
%{_initrddir}/gfs

%{_mandir}/*/*

%changelog
* Wed Jan 04 2012 Bob Peterson <rpeterso@redhat.com> 0.1.20-13
- GFS: Document new mount option: -o errors=withdraw|panic
- gfs-utils: gfs mount option noprefetch not documented
- Resolves: rhbz#766646

* Fri Oct 28 2011 Bob Peterson <rpeterso@redhat.com> 0.1.20-11
- fsck.gfs can not check file system with 500,000 files
- Resolves: rhbz#704328

* Fri Apr 8 2011 Bob Peterson <rpeterso@redhat.com> 0.1.20-10
- GFS: speed up gfs_fsck
- Resolves: rhbz#515834

* Mon Sep 20 2010 Abhi Das <adas@redhat.com> 0.1.20-8
- gfs_jadd: gfs_jadd does not resolve symbolic links
- Resolves: rhbz#555363

* Mon Sep 20 2010 Bob Peterson <rpeterso@redhat.com> 0.1.20-8
- gfs_fsck -q prints "Succeeded." a lot
- Resolves: rhbz#567657

* Fri Jan 8 2010 Bob Peterson <rpeterso@redhat.com> 0.1.20-7
- Fixed a problem whereby gfs_fsck attempted to reclaim metadata when -n was specified
- Resolves: rhbz#508978

* Thu Oct 8 2009 Bob Peterson <rpeterso@redhat.com> 0.1.20-6
- Fixed a problem whereby gfs_fsck gave the wrong return code.
- Resolves: rhbz#508978

* Tue Sep 8 2009 Bob Peterson <rpeterso@redhat.com> 0.1.20-5
- Fixed a problem whereby the extended attribute count was miscalculated.
- Resolves: rhbz#509225 (addendum)

* Thu Sep 3 2009 Bob Peterson <rpeterso@redhat.com> 0.1.20-4
- Fixed gfs_fsck rindex repair algorithm
- Resolves: rhbz#512722

* Tue Aug 18 2009 Bob Peterson <rpeterso@redhat.com> 0.1.20-3
- Fixed patch level in spec file
- Resolves: rhbz#509225

* Mon Aug 17 2009 Bob Peterson <rpeterso@redhat.com> 0.1.20-2
- gfs_fsck changed so it only needs to be run once
- Resolves: rhbz#509225

* Tue Jul 07 2009 Chris Feist <cfeist@redhat.com> 0.1.20-1
- Fixed a segfault in gfs_fsck during EA leaf repair.
- Resolves: rhbz#495774

* Mon May 04 2009 Chris Feist <cfeist@redhat.com> 0.1.19-3
- Fixed an issue with gfs_fsck attempting to fix the wrong bitmap.
- Improved gfs_fsck's ability to fix damaged resource groups.
- Added human readable option to gfs_tool df
- Fixed an issue which could potentially cause gfs_fsck to remove everything
  in a corrupt filesystem.
- gfs_grow performance has been improved on 1k block size filesystems. 
- Fix a segfault in gfs_fsck when fixing a 'EA leaf block type' problem.
- The gfs service is no longer disabled on install or upgrade
- Resolves: rhbz#463817 rhbz#442271 rhbz#459131 rhbz#493727 rhbz#485451 rhbz#495774 rhbz#498593

* Thu Jul 31 2008 Chris Feist <cfeist@redhat.com> 0.1.18-1
- gfs_mkfs now checks more thoroughly to see if a device is mounted.
- Man page for gfs_edit has been added.
- gfs_fsck now repairs corruption caused by gfs_grow.
- Resolves: rhbz#426298 rhbz#295301 rhbz#438762 rhbz#440896 rhbz#440897 rhbz#421761 rhbz#436383

* Wed Apr 02 2008 Chris Feist <cfeist@redhat.com> 0.1.17-1
- File corruption issues after gfs_grow have been resolved.
- Resolves: rhbz#440332

* Thu Jan 24 2008 Chris Feist <cfeist@redhat.com> - 0.1.16-1
- gfs_quota is now able to perform efficient list operations
- Resolves: rhbz#430133

* Wed Dec 19 2007 Chris Feist <cfeist@redhat.com> - 0.1.15-1
- A check is done to see if the file system is mounted before creation.
- Man page has been added for gfs_edit
- lock_dlm is now the default lock protocol on mkfs.gfs and mkfs.gfs2
- gfs_grow /mountpoint/ now works properly
- Resolves: rhbz#426298 rhbz#295301 rhbz#311591 rhbz#337961

* Fri Feb 23 2007 Chris Feist <cfeist@redhat.com> - 0.1.11-2
- Add obsoletes for GFS.
- Resolves: rhbz#229822

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 0.1.11-1
- New upstream sources.
- Resolves: rhbz#222747

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 0.1.10-1
- New upstream sources.
- Resolves: rhbz#219866

* Wed Nov 29 2006 Chris Feist <cfeist@redhat.com> - 0.1.9-2
- New upstream sources.
- Resolves: rhbz#213763

* Mon Sep 25 2006 Chris Feist <cfeist@redhat.com> - 0.1.7-2
- New upstream sources and added patch to include gfs_ioctl.h.

* Mon Aug 28 2006 Chris Feist <cfeist@redhat.com> - 0.1.5-1
- New upstream sources to fix symlinks for mount & umount

* Tue Aug 22 2006 Chris Feist <cfeist@redhat.com> - 0.1.4-1
- Create symlink for mount & unmount

* Mon Aug 21 2006 Chris Feist <cfeist@redhat.com> - 0.1.1-1
- New upstream sources

* Mon Aug 14 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-13
- Fixed deps

* Wed Aug 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-7
- Patched build procedure so libgfs gets built
- Added in ncurses-devel BuildRequire

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-5.fc6
- Removed extraneous '.' before dist macro
- Disabled gfs init script

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-4.fc6
- Fixed version
- Using macroized version of /etc/rc.d/init.d

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-0.fc6.3
- Remove ncurses dep
- Started using RPM_OPT_FLAGS

* Fri Jun 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-0.fc6.0
- Initial build of gfs-utils.
